AlmaLinux 8 : linux-firmware (ALSA-2021:1620)

high Nessus Plugin ID 157684

Synopsis

The remote AlmaLinux host is missing one or more security updates.

Description

The remote AlmaLinux 8 host has packages installed that are affected by multiple vulnerabilities as referenced in the ALSA-2021:1620 advisory.

- Integer overflow in the firmware for some Intel(R) Graphics Drivers for Windows * before version 26.20.100.7212 and before Linux kernel version 5.5 may allow a privileged user to potentially enable an escalation of privilege via local access. (CVE-2020-12362)

- Improper input validation in some Intel(R) Graphics Drivers for Windows* before version 26.20.100.7212 and before Linux kernel version 5.5 may allow a privileged user to potentially enable a denial of service via local access. (CVE-2020-12363)

- Null pointer reference in some Intel(R) Graphics Drivers for Windows* before version 26.20.100.7212 and before version Linux kernel version 5.5 may allow a privileged user to potentially enable a denial of service via local access. (CVE-2020-12364)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://errata.almalinux.org/8/ALSA-2021-1620.html

Plugin Details

Severity: High

ID: 157684

File Name: alma_linux_ALSA-2021-1620.nasl

Version: 1.3

Type: local

Published: 2/9/2022

Updated: 2/14/2022

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: Medium

Base Score: 4.6

Temporal Score: 3.4

Vector: AV:L/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2020-12362

CVSS v3

Risk Factor: High

Base Score: 7.8

Temporal Score: 6.8

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:alma:linux:iwl100-firmware, p-cpe:/a:alma:linux:iwl1000-firmware, p-cpe:/a:alma:linux:iwl105-firmware, p-cpe:/a:alma:linux:iwl135-firmware, p-cpe:/a:alma:linux:iwl2000-firmware, p-cpe:/a:alma:linux:iwl2030-firmware, p-cpe:/a:alma:linux:iwl3160-firmware, p-cpe:/a:alma:linux:iwl3945-firmware, p-cpe:/a:alma:linux:iwl4965-firmware, p-cpe:/a:alma:linux:iwl5000-firmware, p-cpe:/a:alma:linux:iwl5150-firmware, p-cpe:/a:alma:linux:iwl6000-firmware, p-cpe:/a:alma:linux:iwl6000g2a-firmware, p-cpe:/a:alma:linux:iwl6000g2b-firmware, p-cpe:/a:alma:linux:iwl6050-firmware, p-cpe:/a:alma:linux:iwl7260-firmware, p-cpe:/a:alma:linux:libertas-sd8686-firmware, p-cpe:/a:alma:linux:libertas-sd8787-firmware, p-cpe:/a:alma:linux:libertas-usb8388-firmware, p-cpe:/a:alma:linux:libertas-usb8388-olpc-firmware, p-cpe:/a:alma:linux:linux-firmware, cpe:/o:alma:linux:8

Required KB Items: Host/local_checks_enabled, Host/AlmaLinux/release, Host/AlmaLinux/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 5/18/2021

Vulnerability Publication Date: 2/17/2021

Reference Information

CVE: CVE-2020-12362, CVE-2020-12363, CVE-2020-12364

ALSA: 2021:1620